> For the complete documentation index, see [llms.txt](https://docs.feathery.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.feathery.io/platform/build-forms/advanced-logic/examples/api-connectors/dynamic-form-navigation.md).

# Dynamic form navigation

The example code below calls a web service and then makes a step navigation decision based on the return data.  In this simplified example, the user's credit score is retrieved when a step is submitted and used to determine which step to navigate to next.

<pre><code>// When the user selects one of the refinance options, check their credit score and if > 680, goto premium offers step

function checkCreditScore() {
  // not a real url/service, example only
  // using ssn form field as url parameter
<strong>  return fetch(`https://www.example.com/checkCreditScore/?ssn=${ssn.value}`)
</strong>    .then((response) => response.json());
}

const refinanceOption = homeInterest.value;
if (['Cash out refinance', 'Refinancing'].includes(refinanceOption)) {
  const score = await checkCreditScore();
  if (score > 680) feathery.goToStep('premium-offers');
}

</code></pre>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.feathery.io/platform/build-forms/advanced-logic/examples/api-connectors/dynamic-form-navigation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
